Name: kde-accessibility-jovie
Version: 15.04.3
Release: %mkrel 1
Summary: Text to speech support 
License: GPLv2 or GPLv3
URL:     http://accessibility.kde.org/jovie
Source0: http://download.kde.org/%{stable}/%{version}/src/jovie-%{version}.tar.xz
Group:	 Graphical desktop/KDE4
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel
BuildRequires: %{_lib}speechd-devel
Requires: %{name}-libs
Requires: festival
Conflicts: kdeaccessibility4 =< 4.7.80

%description
Jovie -- KDE Text-to-Speech -- is a subsystem within the KDE desktop
for conversion of text to audible speech. 

%files
%doc 
%{_kde_bindir}/jovie
%{_kde_appsdir}/jovie/
%{_datadir}/appdata/jovie.appdata.xml
%{_kde_docdir}/HTML/*/jovie/
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/kde4/services/jovie.desktop
%{_kde_datadir}/kde4/services/jovie_*.desktop
%{_kde_datadir}/kde4/services/kcmkttsd.desktop
%{_kde_datadir}/kde4/services/kttsd.desktop
%{_kde_datadir}/kde4/servicetypes/jovie_filterplugin.desktop
%{_kde_iconsdir}/hicolor/*/actions/female.png
%{_kde_iconsdir}/hicolor/*/actions/male.png
%{_kde_iconsdir}/hicolor/*/actions/nospeak.png
%{_kde_iconsdir}/hicolor/*/actions/speak.png
%{_kde_libdir}/kde4/jovie_*.so
%{_kde_libdir}/kde4/kcm_kttsd.so

%package libs
Summary: Runtime libraries for %{name}
Group:   System/Libraries
Requires: %{name}
Requires: kdelibs

%description libs
%{summary}.

%files libs
%{_kde_libdir}/libkttsd.so.4*

%package devel
Summary:  Development files for %{name}
Group: Development/Libraries
Requires: %name 
Requires: kdelibs-devel

%description devel
%{summary}.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/libkttsd.so

%prep
%setup -qn jovie-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-only-show-in="KDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

# unpackaged files
rm -vf %{buildroot}%{_kde4_libdir}/libkttsd.so


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

